# Инструкция по использованию

1. Результат сборки `build/libs/asterisk.war` положить в `/opt/synergy/jboss/standalone/deployments`

2. `! Заменить значения с <> на свои` Создать конфиг файл в `/opt/synergy/jboss/standalone/configuration/arta/apps/asterisk/asterisk.properties` со следующим содержимым:

```$text
synergy.address=<http://host:port/Synergy>
user.login=<login>
user.password=<password>

asterisk.enabled=true
asterisk.login=<asterisklogin>
asterisk.password=<asteriskpass>
asterisk.addresses=<10.52.4.10,10.58.4.10>

actualizeOnDeploy=false

ldap.sync.enabled=false
```


3. Создать Внешний Модуль Компонент в `ip:8080/Configurator` со скриптом для подключения по EventSource, вписать свою логику:
```
jQuery(document).ready(function () {
    var isLogin = setInterval(function () {
        if (AS.OPTIONS.login && AS.OPTIONS.login !== '') {
            createWebSocket();
            clearInterval(isLogin);
        }
    }, 100);
});

function createWebSocket() {
    var eventSource = new EventSource("/asterisk/demo?userID=" +  AS.OPTIONS.currentUser.userId);
    eventSource.onmessage = function(event) {
        //TODO: ваша логика
        console.log(event);
    };
}

```
